\mode<presentation>

% Position frametitle
\addtobeamertemplate{frametitle}{\hskip0.5ex}{}
\addtobeamertemplate{frametitle}{\vskip-3ex}{}
% Add space between frametitle and content
\addtobeamertemplate{frametitle}{}{\vspace*{0.21cm}}

% Justify content
\apptocmd{\frame}{}{\justifying}{}

% Set up itemize environment
\setbeamertemplate{itemize items}{\textcolor{txtblue}{\textendash}}
\newcommand{\definitionpoint}{
  \setbeamertemplate{itemize items}{\textcolor{txtblue}{$\bullet$}}
  \setbeamertemplate{itemize subitem}{\textcolor{txtblue}{\textendash}}
}
\setbeamercolor*{enumerate item}{fg=txtblue}

% Frame number in ToC
\def\beamer@sectionintoc#1#2#3#4#5{%
  \ifnum\c@tocdepth>0%
  \ifnum#4=\beamer@showpartnumber%
  {
  \beamer@saveanother%
  \gdef\beamer@todo{}%
  \beamer@slideinframe=#1\relax%
  \expandafter\only\beamer@tocsections{\gdef\beamer@todo{%
      \beamer@tempcount=#5\relax%
      \advance\beamer@tempcount by\beamer@sectionadjust%
      \edef\inserttocsectionnumber{\@Alph\beamer@tempcount}%
      \def\inserttocsection{\hyperlink{Navigation#3}{#2}}%
      % New macro defined here!!!
      \def\inserttocsectionstartpage{#3}%
      \beamer@tocifnothide{\ifnum\c@section=#1\beamer@toc@cs\else\beamer@toc@os\fi}%
      {
        \ifbeamer@pausesections\pause\fi%
        \ifx\beamer@toc@ooss\beamer@hidetext
          \vskip1.5em
        \else
          \vfill
        \fi
        {%
          \hbox{\vbox{%
              \def\beamer@breakhere{\\}%
              \beamer@tocact{\ifnum\c@section=#1\beamer@toc@cs\else\beamer@toc@os\fi}{section in toc}}}%
         \par%
        }%
      }%
    }
  }%
  \beamer@restoreanother%
  }
  \beamer@todo%
  \fi\fi%
}

% Set up ToC
\setbeamertemplate{section in toc}
{\leavevmode \textcolor{txtblue}{\inserttocsection \ \dotfill \ \inserttocsectionstartpage} \par}


\mode<all>